# Users Object

> Source: https://truto.one/docs/api-reference/unified-e-signature-api/users/

Schema for the `Users` resource in **Unified E-Signature API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a user
- **`first_name`** _(string)_
  The first name of the user
- **`last_name`** _(string)_
  The last name of the user
- **`title`** _(string)_
  The title of the user
- **`name`** _(string)_
  The name of the user
- **`username`** _(string)_
  The username of the user
- **`emails`** _(array<object>)_
  The emails of the user
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The type of email address
  - **`is_primary`** _(boolean)_
    Whether the email address is primary
- **`phones`** _(array<object>)_
  The phones of the user
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of phone number
- **`status`** _(string)_
  The status of the user. If no clear mapping is available, then the raw value is returned.
  Allowed: `active`, `inactive`, `deleted`, `invited`
- **`roles`** _(array<object>)_
  The roles of the user
  - **`id`** _(string)_
    The unique identifier for a role
  - **`name`** _(string)_
    The name of the role
  - **`group`** _(string)_
    The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.
  - **`organization`** _(string)_
    The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.
  - **`workspace`** _(string)_
    The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.
- **`organizations`** _(array<object>)_
  The organizations of the user
  - **`id`** _(string)_
    The unique identifier for an organization
  - **`name`** _(string)_
    The name of the organization
- **`workspace`** _(object)_
  The workspace of the user
  - **`id`** _(string)_
    The unique identifier for a workspace
  - **`name`** _(string)_
    The name of the workspace
  - **`organization`** _(string)_
    The unique identifier of the organization to which the workspace belongs
- **`groups`** _(array<object>)_
  The groups of the user
  - **`id`** _(string)_
    The unique identifier for a group
  - **`name`** _(string)_
    The name of the group
  - **`organization`** _(string)_
    The unique identifier of the organization to which the group belongs
- **`avatar`** _(string)_
  The avatar of the user
- **`timezone`** _(string)_
  The timezone of the user
- **`languages`** _(array<string>)_
  The languages preferred by the user
- **`created_at`** _(string)_
  The date and time the user was created
- **`updated_at`** _(string)_
  The date and time the user was last updated
- **`urls`** _(array<object>)_
  The URLs of the user
  - **`url`** _(string)_
    The URL
  - **`type`** _(string)_
    The type of URL
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/e-signature/users](/docs/api-reference/unified-e-signature-api/users/list) — List Users
- [GET /unified/e-signature/users/{id}](/docs/api-reference/unified-e-signature-api/users/get) — Get Users
- [DELETE /unified/e-signature/users/{id}](/docs/api-reference/unified-e-signature-api/users/delete) — Delete Users
